Page MenuHomePhabricator

Adding new Namespaces and renaming some in Punjabi language at Punjabi Wikisource.
Closed, ResolvedPublic

Description

There are only few number of namespaces available on Punjabi Wikisource and they are in English. We want to add some more and rename previous ones to Punjabi.
Link for Community discussion - https://pa.wikisource.org/wiki/ਵਿਕੀਸਰੋਤ:ਸੱਥ#ਨੇਮਸਪੇਸਾਂ_ਸੰਬੰਧੀ


(Text ported by @MarcoAurelio) from the wiki discussion):

Author=ਲੇਖਕ
Author talk=ਲੇਖਕ ਗੱਲ-ਬਾਤ
Work=ਲਿਖਤ
Work talk=ਲਿਖਤ ਗੱਲ-ਬਾਤ
Publisher=ਪ੍ਰਕਾਸ਼ਕ
Publisher talk=ਪ੍ਰਕਾਸ਼ਕ ਗੱਲ-ਬਾਤ
Index=ਇੰਡੈਕਸ
Index talk=ਇੰਡੈਕਸ ਗੱਲ-ਬਾਤ
Page=ਪੰਨਾ
Page talk=ਪੰਨਾ ਗੱਲ-ਬਾਤ
Module=ਮੌਡਿਊਲ
Module talk= ਮੌਡਿਊਲ ਗੱਲ-ਬਾਤ
Gadget=ਗੈਜਟ
Gadget talk=ਗੈਜਟ ਗੱਲ-ਬਾਤ
Gadget definition=ਗੈਜਟ ਪਰਿਭਾਸ਼ਾ
Gadget definition talk=ਗੈਜਟ ਪਰਿਭਾਸ਼ਾ ਗੱਲ-ਬਾਤ
Portal=ਪੋਰਟਲ
Portal talk=ਪੋਰਟਲ ਗੱਲ-ਬਾਤ
  • ProofreadPages
  • Gadgets
  • Scribunto

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 7:18 AM

Removing Wikisource project tag; please see its description.

MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a subscriber: MarcoAurelio.

Most of those messages are not configured on Wikimedia-Site-requests but on the relevant $extension.namespaces.php files for each MediaWiki extension (e.g.: Module, Gadget and Page). It looks only Author, Work and Publisher and Portal are the only ones which are not dependant on any MediaWiki extension.

@Jayprakash12345 and/or @Tulsi_Bhagat Would you like to make patches against the extensions that define those namespaces given that (if I remember rightly) you do understand Punjabi, thus can also proofread the proposed translations? Feel free to add me as reviewer on those patches. Thank you!

Change 520174 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[operations/mediawiki-config@master] Configuring Namespaces at pawikisource

https://gerrit.wikimedia.org/r/520174

Requires mwscript namespaceDupes.php --wiki=pawikisource --fix after deployment.

Tulsi_Bhagat moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Tulsi_Bhagat triaged this task as Normal priority.Jul 2 2019, 7:04 AM

Change 520179 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[mediawiki/extensions/ProofreadPage@master] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/520179

Change 520189 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[mediawiki/extensions/Scribunto@master] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/520189

Change 520191 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[mediawiki/extensions/Gadgets@master] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/520191

Tulsi_Bhagat updated the task description. (Show Details)Jul 2 2019, 9:01 AM
Ankry added a subscriber: Ankry.Jul 2 2019, 9:12 AM

Thank you @Tulsi_Bhagat for your patches :-)

Change 520179 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/520179

Change 520191 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@master] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/520191

Change 520189 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/520189

Change 520174 merged by jenkins-bot:
[operations/mediawiki-config@master] Configuring Namespaces at pawikisource

https://gerrit.wikimedia.org/r/520174

Mentioned in SAL (#wikimedia-operations) [2019-07-03T11:06:39Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:520174|Configuring Namespaces at pawikisource]] (T226959) (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-07-03T11:14:13Z] <Urbanecm> Ran mwscript namespaceDupes.php --wiki=pawikisource --fix for T226959

urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=pawikisource
0 pages to fix, 0 were resolvable.

pagelinks from=24681 ns=0 dbk=ਲੇਖਕ:Leo_Tolstoy -> ਲੇਖਕ:Leo_Tolstoy DRY RUN
pagelinks from=3330 ns=0 dbk=ਲੇਖਕ:ਗੁਰੂ_ਗੋਬਿੰਦ_ਸਿੰਘ -> ਲੇਖਕ:ਗੁਰੂ_ਗੋਬਿੰਦ_ਸਿੰਘ DRY RUN
pagelinks from=13657 ns=0 dbk=ਲੇਖਕ:ਧਨੀ_ਰਾਮ_ਚਾਤ੍ਰਿਕ -> ਲੇਖਕ:ਧਨੀ_ਰਾਮ_ਚਾਤ੍ਰਿਕ DRY RUN
pagelinks from=6931 ns=0 dbk=ਲੇਖਕ:ਬੰਕਿਮ_ਚੰਦਰ_ਚੈਟਰਜੀ -> ਲੇਖਕ:ਬੰਕਿਮ_ਚੰਦਰ_ਚੈਟਰਜੀ DRY RUN
pagelinks from=789 ns=0 dbk=ਲੇਖਕ:ਲਾਲਾ_ਬਿਹਾਰੀਲਾਲ -> ਲੇਖਕ:ਲਾਲਾ_ਬਿਹਾਰੀਲਾਲ DRY RUN
5 links to fix, 5 were resolvable.

Looks good!
urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=pawikisource --fix
0 pages to fix, 0 were resolvable.

pagelinks from=24681 ns=0 dbk=ਲੇਖਕ:Leo_Tolstoy -> ਲੇਖਕ:Leo_Tolstoy
pagelinks from=3330 ns=0 dbk=ਲੇਖਕ:ਗੁਰੂ_ਗੋਬਿੰਦ_ਸਿੰਘ -> ਲੇਖਕ:ਗੁਰੂ_ਗੋਬਿੰਦ_ਸਿੰਘ
pagelinks from=13657 ns=0 dbk=ਲੇਖਕ:ਧਨੀ_ਰਾਮ_ਚਾਤ੍ਰਿਕ -> ਲੇਖਕ:ਧਨੀ_ਰਾਮ_ਚਾਤ੍ਰਿਕ
pagelinks from=6931 ns=0 dbk=ਲੇਖਕ:ਬੰਕਿਮ_ਚੰਦਰ_ਚੈਟਰਜੀ -> ਲੇਖਕ:ਬੰਕਿਮ_ਚੰਦਰ_ਚੈਟਰਜੀ
pagelinks from=789 ns=0 dbk=ਲੇਖਕ:ਲਾਲਾ_ਬਿਹਾਰੀਲਾਲ -> ਲੇਖਕ:ਲਾਲਾ_ਬਿਹਾਰੀਲਾਲ
5 links to fix, 5 were resolvable.

Looks good!
urbanecm@mwmaint1002:~$
Urbanecm closed this task as Resolved.Jul 3 2019, 11:16 AM

Done. Namespace renames will take effect next Wednesday.

Thank you @Tulsi_Bhagat for your patches :-)

My pleasure! :)

Done. Namespace renames will take effect next Wednesday.

Thank you @Urbanecm for the deployment. I appreciate it. :)

New namespaces were created but renaming of existing ones is not done.

Hardarshan2207 reopened this task as Open.Jul 11 2019, 9:31 AM

Change 522046 had a related patch set uploaded (by Urbanecm; owner: Tulsi Bhagat):
[mediawiki/extensions/ProofreadPage@wmf/1.34.0-wmf.11] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/522046

Change 522047 had a related patch set uploaded (by Urbanecm; owner: Tulsi Bhagat):
[mediawiki/extensions/Scribunto@wmf/1.34.0-wmf.11] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/522047

Change 522048 had a related patch set uploaded (by Urbanecm; owner: Tulsi Bhagat):
[mediawiki/extensions/Gadgets@wmf/1.34.0-wmf.11] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/522048

New namespaces were created but renaming of existing ones is not done.

This is because it was supposed to go live with the train (weekly regular deployment of new mediawiki to all of Wikimedia wikis), but the train is now halted, because of deployment blockers. I'm going forward to backport the patches, so it should be live soon.

MarcoAurelio added a comment.EditedJul 11 2019, 10:17 AM

New namespaces were created but renaming of existing ones is not done.

This is because it was supposed to go live with the train (weekly regular deployment of new mediawiki to all of Wikimedia wikis), but the train is now halted, because of deployment blockers. I'm going forward to backport the patches, so it should be live soon.

Godspeed. May full scap be gentle with you ;-)

Change 522046 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@wmf/1.34.0-wmf.11] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/522046

Change 522047 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@wmf/1.34.0-wmf.11] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/522047

Change 522048 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@wmf/1.34.0-wmf.11] Add Namespaces translation for Punjabi

https://gerrit.wikimedia.org/r/522048

Mentioned in SAL (#wikimedia-operations) [2019-07-11T11:24:00Z] <urbanecm@deploy1001> Started scap: Namespace translation for Punjabi (T226959)

Mentioned in SAL (#wikimedia-operations) [2019-07-11T11:54:13Z] <urbanecm@deploy1001> Finished scap: Namespace translation for Punjabi (T226959) (duration: 30m 13s)

Urbanecm closed this task as Resolved.Jul 11 2019, 11:55 AM

New namespaces were created but renaming of existing ones is not done.

Should be done now.

[urbanecm@mwmaint1002 ~]$ mwscript namespaceDupes.php --wiki=pawikisource
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
[urbanecm@mwmaint1002 ~]$

Pages need to be purged in order to display new namespace name in page title.

Pages need to be purged in order to display new namespace name in page title.

Which pages? You can purge pages en masse with a bot quite easily.

Yes, exactly.
Just notifying wiki users about this need.

Mentioned in SAL (#wikimedia-operations) [2019-07-11T12:44:12Z] <Urbanecm> Running purgePage.php on pages in Page: NS on pawikisource (T226959)

Yes, exactly.
Just notifying wiki users about this need.

Since Proofread's Page namespace required this action, I went ahead and purged all pages in Page: NS server-side, see above.

Filled a T227768 against ProofreadPage to make rid of this necessary purge.